Package org.eclipse.m2m.atl.profiler.ui.profilingdatatable

# Class ProfilingDataTableContentProvider

java.lang.Object
org.eclipse.emf.edit.ui.provider.AdapterFactoryContentProvider
org.eclipse.m2m.atl.profiler.ui.profilingdatatable.ProfilingDataTableContentProvider

All Implemented Interfaces:
  `org.eclipse.emf.edit.provider.INotifyChangedListener`, `org.eclipse.jface.viewers.IContentProvider`, `org.eclipse.jface.viewers.IStructuredContentProvider`, `org.eclipse.jface.viewers.ITreeContentProvider`, `org.eclipse.ui.views.properties.IPropertySourceProvider`

public class ProfilingDataTableContentProvider extends org.eclipse.emf.edit.ui.provider.AdapterFactoryContentProvider
A content provider for the data table.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.emf.edit.ui.provider.AdapterFactoryContentProvider

`org.eclipse.emf.edit.ui.provider.AdapterFactoryContentProvider.ViewerRefresh`

## Field Summary

### Fields inherited from class org.eclipse.emf.edit.ui.provider.AdapterFactoryContentProvider

`adapterFactory, viewer, viewerRefresh`

## Constructor Summary

Constructors
Constructor
Description
`ProfilingDataTableContentProvider(org.eclipse.emf.common.notify.AdapterFactory adapterFactory)`
Creates a new `ProfilingDataTableContentProvider`.

## Method Summary

Modifier and Type
Method
Description
`Object[]`
`getChildren(Object parent)`
`Object[]`
`getElements(Object parent)`
`Object`
`getParent(Object child)`
`boolean`
`hasChildren(Object parent)`

### Methods inherited from class org.eclipse.emf.edit.ui.provider.AdapterFactoryContentProvider

`createPropertySource, dispose, getAdapterFactory, getPropertySource, getViewerRefreshDelay, getViewerRefreshTheshold, inputChanged, notifyChanged, setAdapterFactory`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ProfilingDataTableContentProvider

public ProfilingDataTableContentProvider(org.eclipse.emf.common.notify.AdapterFactory adapterFactory)
Creates a new `ProfilingDataTableContentProvider`.

Parameters:
  `adapterFactory` - the adapter factory.

## Method Details

### getElements

public Object[] getElements(Object parent)

Specified by:
  `getElements` in interface `org.eclipse.jface.viewers.IStructuredContentProvider`
Specified by:
  `getElements` in interface `org.eclipse.jface.viewers.ITreeContentProvider`
Overrides:
  `getElements` in class `org.eclipse.emf.edit.ui.provider.AdapterFactoryContentProvider`
See Also:
  - `AdapterFactoryContentProvider.getElements(java.lang.Object)`

### getParent

public Object getParent(Object child)

Specified by:
  `getParent` in interface `org.eclipse.jface.viewers.ITreeContentProvider`
Overrides:
  `getParent` in class `org.eclipse.emf.edit.ui.provider.AdapterFactoryContentProvider`
See Also:
  - `AdapterFactoryContentProvider.getParent(java.lang.Object)`

### getChildren

public Object[] getChildren(Object parent)

Specified by:
  `getChildren` in interface `org.eclipse.jface.viewers.ITreeContentProvider`
Overrides:
  `getChildren` in class `org.eclipse.emf.edit.ui.provider.AdapterFactoryContentProvider`
See Also:
  - `AdapterFactoryContentProvider.getChildren(java.lang.Object)`

### hasChildren

public boolean hasChildren(Object parent)

Specified by:
  `hasChildren` in interface `org.eclipse.jface.viewers.ITreeContentProvider`
Overrides:
  `hasChildren` in class `org.eclipse.emf.edit.ui.provider.AdapterFactoryContentProvider`
See Also:
  - `AdapterFactoryContentProvider.hasChildren(java.lang.Object)`